# Enum TGetResultSetMetadataResp._Fields

java.lang.Object
java.lang.Enum<TGetResultSetMetadataResp._Fields>
com.databricks.jdbc.model.client.thrift.generated.TGetResultSetMetadataResp._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TGetResultSetMetadataResp._Fields>`, `java.lang.constant.Constable`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  `TGetResultSetMetadataResp`

public static enum TGetResultSetMetadataResp._Fields extends Enum<TGetResultSetMetadataResp._Fields> implements org.apache.thrift.TFieldIdEnum
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARROW_SCHEMA`
`CACHE_LOOKUP_RESULT`
`COMPRESSED_BYTES`
`IS_STAGING_OPERATION`
`LZ4_COMPRESSED`
`RESULT_FORMAT`
`SCHEMA`
`STATUS`
`UNCOMPRESSED_BYTES`

## Method Summary

Modifier and Type
Method
Description
`static TGetResultSetMetadataResp._Fields`
`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TGetResultSetMetadataResp._Fields`
`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TGetResultSetMetadataResp._Fields`
`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String`
`getFieldName()`
`short`
`getThriftFieldId()`
`static TGetResultSetMetadataResp._Fields`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TGetResultSetMetadataResp._Fields[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STATUS

public static final TGetResultSetMetadataResp._Fields STATUS

### SCHEMA

public static final TGetResultSetMetadataResp._Fields SCHEMA

### RESULT_FORMAT

public static final TGetResultSetMetadataResp._Fields RESULT_FORMAT

See Also:
  - `TSparkRowSetType`

### LZ4_COMPRESSED

public static final TGetResultSetMetadataResp._Fields LZ4_COMPRESSED

### ARROW_SCHEMA

public static final TGetResultSetMetadataResp._Fields ARROW_SCHEMA

### CACHE_LOOKUP_RESULT

public static final TGetResultSetMetadataResp._Fields CACHE_LOOKUP_RESULT

See Also:
  - `TCacheLookupResult`

### UNCOMPRESSED_BYTES

public static final TGetResultSetMetadataResp._Fields UNCOMPRESSED_BYTES

### COMPRESSED_BYTES

public static final TGetResultSetMetadataResp._Fields COMPRESSED_BYTES

### IS_STAGING_OPERATION

public static final TGetResultSetMetadataResp._Fields IS_STAGING_OPERATION

## Method Details

### values

public static TGetResultSetMetadataResp._Fields[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TGetResultSetMetadataResp._Fields valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### findByThriftId

public static TGetResultSetMetadataResp._Fields findByThriftId(int fieldId)
Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

public static TGetResultSetMetadataResp._Fields findByThriftIdOrThrow(int fieldId)
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

public static TGetResultSetMetadataResp._Fields findByName(String name)
Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`